# HTML/XML 解析
beautifulsoup4==4.12.2
lxml==4.9.3  # 可选，推荐
html5lib==1.1  # 可选

# JSON 路径解析
jsonpath==0.82

# 中国节假日判断
chinese_calendar==1.9.0

# 日期时间处理
python-dateutil==2.8.2

# 时区处理
pytz==2023.3

# 数据库驱动
psycopg2-binary==2.9.9
pymysql==1.1.0
pymongo==4.6.0

# 数据库连接池
DBUtils==3.0.3

# 其他依赖
retrying==1.3.4
requests==2.31.0
faker==20.1.0
pytest==7.4.0
allure-pytest==2.13.2
concurrent_log_handler==0.9.20
pycryptodome==3.19.0
pyyaml==6.0.1
python-dotenv==1.0.0